package ws

import (
	"github.com/go-chi/chi/v5"
	"github.com/tech/sendico/pkg/mlogger"
	"github.com/tech/sendico/server/interface/api/ws"
)

type Router interface {
	InstallHandler(messageType string, handler ws.HandlerFunc)
}

func NewRouter(logger mlogger.Logger, router chi.Router, config *ws.Config, apiEndpoint string) Router {
	return NewDispatcher(logger, router, config, apiEndpoint)
}
